jQuery( document ).ready( function( $ ) {

	var sidebar = $( '#secondary' );
	var sidebarButton = $( '#sidebar-button' );

	function scrollTop() {
		$( 'body,html' ).animate( {
			scrollTop: 0
		}, 400 );
	};

	function sidebarToggleRight() {
		sidebar.animate( { right: parseInt( sidebar.css('right'), 10 ) == 40 ?
									-sidebar.outerWidth() :
									40
		} );
	}

	function sidebarToggleDown() {
		sidebar.slideToggle();
		sidebar.toggleClass( 'toggled-on' );
	}

	$(window).on( 'load resize', function() {
		if ( $(this).width() > 730 ) {
			sidebar.show().css( 'right', '-284px' );
		}
		else {
			sidebar.hide().css( 'right', '0' );
		}
	} );

	sidebarButton.on( 'click', function( e ) {
		e.preventDefault();
		if ( $(window).width() > 730 ) {
			sidebarToggleRight();
		}
		else {
			sidebarToggleDown();
			scrollTop();
		}
	} );

} );