<?php
/**
 * The template used for displaying page content in page.php
 *
 * @package Fiore
 * @since Fiore 1.0
 */
?>

<article id="post-<?php the_ID(); ?>" <?php post_class( 'clear' ); ?>>
	<header class="entry-header">
		<?php the_title( '<h1 class="entry-title">', '</h1>' ); ?>
	</header><!-- .entry-header -->
	<?php edit_post_link( __( 'Edit', 'fiore' ), '<footer class="entry-meta"><span class="edit-link">', '</span></footer>' ); ?>
	<div class="entry-content">
		<?php the_content(); ?>
		<?php wp_link_pages( array( 'before' => '<div class="page-links">', 'after' => '</div>', 'link_before' => '<span class="active-link">', 'link_after' => '</span>' ) ); ?>
	</div><!-- .entry-content -->

</article><!-- #post-## -->
